### Constructor

# Gtk TreeViewnew_with_model

deprecated: 4.10

#### Declaration [src]

    GtkWidget*
    gtk_tree_view_new_with_model (
      GtkTreeModel* model
    )

#### Description [src]

Creates a new `GtkTreeView` widget with the model initialized to `model`.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`model`

  Type: `GtkTreeModel`

  The model.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A newly created `GtkTreeView` widget.

The data is owned by the called function.